package com.platform.modules.live.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.common.utils.R;
import com.platform.modules.live.entity.LiveReportEntity;
import com.platform.modules.live.vo.LiveReportVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 直播报道
 * 
 * @author weiyan
 * @email 
 * @date 2019-01-19 12:13:39
 */
public interface LiveReportService extends IService<LiveReportEntity> {
	
	PageUtils queryPageByParams(Map<String, Object> params, boolean showPics);

	Map<String, Object> info(Integer id);

	void save(LiveReportEntity liveReport, Long userId);

	void save(Integer reportType, MultipartFile materialFile, MultipartFile[] imgFiles, Long userId, LiveReportEntity liveReportEntity, Long userId1);

	void update(Integer reportType, MultipartFile materialFile, MultipartFile[] imgFiles, Long userId, LiveReportEntity liveReportEntity, Integer[] imgFilesIndex, Long userId1);

	void update(LiveReportEntity liveReport, Long userId);

	void delete(Integer id, Long userId);

	void deleteBatch(Integer[] ids,Long userId);
	
	void releaseBatch(Integer[] ids,Long userId);
	
	void cancelReleaseBatch(Integer[] ids,Long userId);
	
	void topBatch(Integer[] ids,Long userId);
	
	void cancelTopBatch(Integer[] ids,Long userId);
	
	void priority(Integer[] ids,Integer[] prioritys,Long userId);

	R indexRebuild(Integer begin, Integer end);

	List<LiveReportVo> recentLiveSceneReport(Integer sceneId);


}
